Bug 621728

Summary: Regression: Bluetooth adapter not initialized on boot
Product: [Fedora] Fedora Reporter: Michael Cronenworth <mike>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: harald, jonathan, torsten.rausche
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: udev-153-3.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-19 21:28:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michael Cronenworth 2010-08-05 19:31:51 EDT
Description of problem: After upgrading from udev-151-10.fc13 to udev-153-1.fc13, my ASUS Bluetooth 2.0 USB adapter is not initialized upon a cold boot. Rebooting does not help. I have to unplug the adapter from the USB port and back in for it to be initialized.

Downgrading to udev-151-10.fc13 restores the proper initialization at boot.


Version-Release number of selected component (if applicable): udev-153-1.fc13


How reproducible: Always


Steps to Reproduce:
1. yum update udev
2. Reboot, leave USB adapter plugged in
3. Login to desktop
  
Actual results: Gnome bluetooth applet reports bluetooth is disabled. Red X is on the bluetooth applet icon.


Expected results: Normal gnome bluetooth applet icon.


Additional info:
dmesg of when udev-151-10.fc13 installed (cold boot):
$ dmesg | grep -i blue
usb 6-1: Product: ASUS Bluetooth Dongle
Bluetooth: Core ver 2.15
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: Generic Bluetooth USB driver ver 0.6
Bluetooth: L2CAP ver 2.14
Bluetooth: L2CAP socket layer initialized
Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Bluetooth: BNEP filters: protocol multicast
Bluetooth: SCO (Voice Link) ver 0.6
Bluetooth: SCO socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM ver 1.11
$ dmesg | grep -i "usb 6-1"
usb 6-1: new full speed USB device using uhci_hcd and address 2
usb 6-1: New USB device found, idVendor=0b05, idProduct=1715
usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 6-1: Product: ASUS Bluetooth Dongle
usb 6-1: Manufacturer: Broadcom Corp

dmesg of when udev-153-1.fc13 installed (cold boot):
$ dmesg | grep -i blue
usb 6-1: Product: ASUS Bluetooth Dongle
Bluetooth: Core ver 2.15
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: Generic Bluetooth USB driver ver 0.6
$ dmesg | grep -i "usb 6-1"
usb 6-1: new full speed USB device using uhci_hcd and address 2
usb 6-1: New USB device found, idVendor=0b05, idProduct=1715
usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 6-1: Product: ASUS Bluetooth Dongle
usb 6-1: Manufacturer: Broadcom Corp
Comment 1 Michael Cronenworth 2010-08-05 19:48:05 EDT
Still broken with udev-153-2 from koji. Same problem.
Comment 2 Harald Hoyer 2010-08-13 03:58:46 EDT
Does it help, if you change in /etc/rc.d/init.d/bluetooth:

        udevadm trigger --subsystem-match=bluetooth

to

        udevadm trigger --action=add --subsystem-match=bluetooth 

??
Comment 3 Fedora Update System 2010-08-13 04:39:53 EDT
udev-153-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/udev-153-3.fc13
Comment 4 Torsten Rausche 2010-08-13 05:28:59 EDT
(In reply to comment #2)
> Does it help, if you change in /etc/rc.d/init.d/bluetooth:
>         udevadm trigger --subsystem-match=bluetooth
> to
>         udevadm trigger --action=add --subsystem-match=bluetooth 

This works.

This is also fixed in udev-153-3.fc13 by

* Fri Aug 13 2010 Harald Hoyer <harald@redhat.com> 153-3
- revert the default trigger to "add"

without any changes to /etc/rc.d/init.d/bluetooth.
Comment 5 Fedora Update System 2010-08-13 17:09:04 EDT
udev-153-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-153-3.fc13
Comment 6 Michael Cronenworth 2010-08-13 19:31:12 EDT
(In reply to comment #2)
> Does it help, if you change in /etc/rc.d/init.d/bluetooth:

Yes, that does fix it. Thanks! I'll leave karma once I get the new package from updates-testing.
Comment 7 Fedora Update System 2010-08-19 21:27:31 EDT
udev-153-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.